View Issue Details

IDProjectCategoryView StatusLast Update
0005800Blog Linking[Simple:Press] code - generalpublic2017-07-11 01:58
ReporterMr PapaAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version[Simple:Press] 5.8 
Target Version[Simple:Press] 5.8Fixed in Version[Simple:Press] 5.8 
Summary0005800: blog linking error when linking post
Descriptiongetting this error:

[20-Apr-2017 01:24:06 UTC] PHP Fatal error: Uncaught Error: Call to undefined function sp_get_group_name_from_forum() in C:\wamp\www\wordpress-dev\wp-content\plugins\simple-press\sp-api\sp-api-class-spcpost.php:373
Stack trace:
#0 C:\wamp\www\wordpress-dev\wp-content\sp-resources\forum-plugins\blog-linking\library\sp-linking-blog.php(131): spcPost->validateData()
#1 C:\wamp\www\wordpress-dev\wp-content\sp-resources\forum-plugins\blog-linking\library\sp-linking-blog.php(208): sp_publish_blog_link(Object(stdClass))
#2 C:\wamp\www\wordpress-dev\wp-content\sp-resources\forum-plugins\blog-linking\sp-linking-plugin.php(154): sp_update_blog_link(549)
#3 C:\wamp\www\wordpress-dev\wp-includes\class-wp-hook.php(300): sp_linking_update_blog_link(549)
#4 C:\wamp\www\wordpress-dev\wp-includes\class-wp-hook.php(323): WP_Hook->apply_filters('', Array)
#5 C:\wamp\www\wordpress-dev\wp-includes\plugin.php(453): WP_Hook->do_action(Array)
#6 C:\wamp\www\wordpress-dev\wp-includes\post.php(3467): do_action('edit_post', 549, Object(WP_Post))
#7 C:\wamp\www\wordpress-dev\wp-i in C:\wamp\www\wordpress-dev\wp-content\plugins\simple-press\sp-api\sp-api-class-spcpost.php on line 373

likely missing include file
TagsNo tags attached.
change_log_textcorrect missing includes file in post class
typedefect

Activities

svn

svn

2017-04-20 01:44

administrator   ~0019421

Changeset [15355] by steve on 2017-04-19 21:44:09 -0400 (Wed, 19 Apr 2017)

test issue 0005800 correct missing includes file in post class

 Changed Files:

U trunk/sp-api/sp-api-class-spcpost.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15355

Issue History

Date Modified Username Field Change
2017-04-20 01:26 Mr Papa New Issue
2017-04-20 01:26 Mr Papa Assigned To => Mr Papa
2017-04-20 01:27 Mr Papa Status new => assigned
2017-04-20 01:27 Mr Papa change_log_text => update
2017-04-20 01:44 svn =>
2017-04-20 01:44 svn Note Added: 0019421
2017-04-20 01:44 svn Status assigned => testing
2017-04-24 03:15 Mr Papa Status testing => closed
2017-04-24 03:15 Mr Papa Resolution open => fixed
2017-04-24 03:15 Mr Papa Fixed in Version => 6.0
2017-04-24 03:15 Mr Papa change_log_text update => correct missing includes file in post class
2017-07-11 01:57 Mr Papa Product Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Fixed in Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Target Version 6.0 => 5.8